import { addTodoItem } from './service';
import { updateTodoList } from './list';

console.log(`-- form.js --`);
console.log('imports service');
console.log('imports list');

export const initForm = () => {
    // get the handler to the form
    const form = document.querySelector('form');

    // add an event listener for the type submit btn
    form.addEventListener('submit', async event => {
        event.preventDefault();

        // get the entered new todos title
        const title = document.querySelector('#new-todos__title').value;

        // create an item
        const todo = {
            userId: 1,
            title: title,
            completed: false
        };

        // append it to our ul
        const submittedItem = await addTodoItem(todo);
        updateTodoList(submittedItem);
    });
}

